Page MenuHome GnuPG

colemickens (Cole Mickens)
User

Projects

Today

  • Clear sailing ahead.

Tomorrow

  • Clear sailing ahead.

Tuesday

  • Clear sailing ahead.

User Details

User Since
Mar 1 2021, 10:32 PM (28 w, 5 d)
Availability
Available

Recent Activity

May 7 2021

colemickens added a comment to T5416: [windows] Smartcards are less reliable under 2.3.1 (requires restarting gpg-agent.exe).

Technical commentary on smartcard operation and/or Windows is going to be over my head, so I can't help (just in case you're looking for anything from me). But always happy to drive-test another build. (I've still had no issues, personally, with the build above.) I'll assume you don't need me unless you link another binary build to test or tag me. Thanks again, all.

May 7 2021, 7:22 AM · yubikey, scd, gnupg (gpg23), Bug Report

May 4 2021

colemickens added a comment to T5416: [windows] Smartcards are less reliable under 2.3.1 (requires restarting gpg-agent.exe).

After upgrade:

May 4 2021, 8:08 PM · yubikey, scd, gnupg (gpg23), Bug Report

May 3 2021

colemickens added a comment to T5409: scdaemon: 'Operation not supported by device' error under macOS after upgrading to 2.3.1.

I'm referring to this: https://www.gnupg.org/howtos/card-howto/en/ch02s03.html

May 3 2021, 6:56 AM · MacOS, Support, scd

Apr 30 2021

colemickens added a comment to T5416: [windows] Smartcards are less reliable under 2.3.1 (requires restarting gpg-agent.exe).

To note, this is in contrast to my experience with gpg-2.2 (provided by gpg4win). With gpg-2.2, I was reliably using my Yubikey for a variety of things, and it handled hotplugging perfectly, as one would expect.

Apr 30 2021, 10:46 PM · yubikey, scd, gnupg (gpg23), Bug Report
colemickens created T5416: [windows] Smartcards are less reliable under 2.3.1 (requires restarting gpg-agent.exe).
Apr 30 2021, 10:44 PM · yubikey, scd, gnupg (gpg23), Bug Report

Apr 28 2021

colemickens added a comment to T5409: scdaemon: 'Operation not supported by device' error under macOS after upgrading to 2.3.1.

@gniibe can you provide any commentary on why the gnupg ccid udev rule is so much smaller than the one debian maintains? Is the debian one considered authoritative these days?

Apr 28 2021, 11:23 PM · MacOS, Support, scd
colemickens added a comment to T5409: scdaemon: 'Operation not supported by device' error under macOS after upgrading to 2.3.1.

Thanks @gniibe, that's very helpful advice and pointers. Very appreciated, cheers.

Apr 28 2021, 5:03 AM · MacOS, Support, scd

Apr 26 2021

colemickens added a comment to T5409: scdaemon: 'Operation not supported by device' error under macOS after upgrading to 2.3.1.

Hi, as a contributor to NixOS I'd also like some guidance. I'm testing the 2.3 upgrade ahead of 2.4, and it "breaks" Yubikey UX that I know many of us use. This might be because we appear to not yet install gnupg's CCID udev rules installed. A few questions:

Apr 26 2021, 11:12 PM · MacOS, Support, scd